%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A PackageKit client for the GNOME desktop
Name:	  	gnome-packagekit
Version:	43.0
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Packaging
URL:		https://www.packagekit.org/
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%name-%version.tar.xz
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.7.0
BuildRequires:	pkgconfig(libnotify) >= 0.4.3
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(libcanberra) >= 0.10
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.10
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	appstream-util
BuildRequires:	x11-server-xvfb
Requires:	%{name}-common = %{version}-%{release}

%description
gnome-packagekit are PackageKit client programs designed for the GNOME desktop.

%package common
Summary:	Common files and services for GNOME PackageKit
Group:		System/Packaging
Requires:	packagekit >= 0.4.8
Provides:	packagekit-gui
Conflicts:	kpackagekit
Conflicts:	%{name} < 3.0.3-2

%description common
Common files and services used by GNOME PackageKit. This packages provides
D-Bus service for packages installation.

%package extra
Summary:	Session applications to manage packages with GNOME PackageKit (extra bits)
Group:		System/Packaging
Requires:	%{name} = %{version}-%{release}

%description extra
Extra GNOME applications for using PackageKit that are not normally needed.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done

%find_lang %name --with-gnome

%check
exit 0
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
%meson_test
kill $(cat /tmp/.X$XDISPLAY-lock) ||:

%files common -f %name.lang
%dir %{_datadir}/gnome-packagekit
%{_datadir}/gnome-packagekit/icons
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml
%exclude %{_datadir}/applications/gpk-install-local-file.desktop

%files
%{_bindir}/gpk-application
%{_bindir}/gpk-log
%{_bindir}/gpk-prefs
%{_bindir}/gpk-update-*
%{_datadir}/applications/org.gnome.Packages.desktop
%{_datadir}/applications/gpk-prefs.desktop
%{_datadir}/applications/org.gnome.PackageUpdater.desktop
%{_mandir}/man1/gpk-application*
%{_mandir}/man1/gpk-prefs*
%{_mandir}/man1/gpk-log*
%{_mandir}/man1/gpk-update*
%{_datadir}/metainfo/*gnome*.metainfo.xml

%files extra
%{_datadir}/applications/gpk-log.desktop


%changelog
* Mon Dec 23 2024 wally <wally> 43.0-3.mga10
+ Revision: 2129517
- drop unused unique-1.0 BR

* Tue Nov 22 2022 tv <tv> 43.0-2.mga9
+ Revision: 1910306
- 43.0

* Tue Apr 05 2022 umeabot <umeabot> 3.32.0-4.mga9
+ Revision: 1844897
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 3.32.0-3.mga8
+ Revision: 1525447
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392436
- Rebuild with meson 0.50.1

* Sat Mar 09 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1373066
- new version 3.32.0

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257176
- new version 3.30.0

* Mon Mar 12 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1208677
- new release
- new release

* Fri Sep 15 2017 tv <tv> 3.26.0-2.mga7
+ Revision: 1154374
- adjust filelist
- disable testsuite due to X11 setup issues
+ ovitters <ovitters>
- new version 3.26.0

* Wed Aug 23 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1143853
- run tests under xvfb
- switch to meson

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094349
- new version 3.24.0

* Sun Dec 04 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1071932
- new version 3.22.1

* Tue Oct 11 2016 pterjan <pterjan> 3.22.0-3.mga6
+ Revision: 1060193
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Thu Oct 06 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1059266
- new version 3.22.0
- dropped merged patch 1

* Wed Jun 08 2016 colin <colin> 3.20.0-2.mga6
+ Revision: 1020816
- Fix systemd deps
+ tv <tv>
- adjust BRs for latest systemd

* Wed Mar 23 2016 tv <tv> 3.20.0-1.mga6
+ Revision: 994327
- new release

* Mon Feb 15 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960436
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882842
- new release

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865880
- new version 3.17.90

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3-1.mga6
+ Revision: 836335
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796318
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 745505
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719227
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679744
- Mageia 5 Mass Rebuild

* Fri Sep 12 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 674855
- new version 3.13.92

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670531
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665034
- new version 3.13.90

* Thu Aug 07 2014 fwang <fwang> 3.12.2-2.mga5
+ Revision: 660788
- rebuild for new packagekit

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622125
- new version 3.12.2

* Fri Apr 11 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613444
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607822
- new version 3.12.0

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593553
- new version 3.11.90

* Fri Feb 07 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 585494
- new version 3.11.5

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542192
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497065
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484807
- new version 3.10.0

* Sun Sep 15 2013 dams <dams> 3.9.92-1.mga4
+ Revision: 479804
- new version 3.9.92

* Thu May 30 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 432928
- fix invalid desktop files
- new version 3.8.2
- update %%file

* Tue Jan 22 2013 fwang <fwang> 3.6.1-4.mga3
+ Revision: 390701
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-3.mga3
+ Revision: 352182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 3.6.1-2.mga3
+ Revision: 323703
- rebuild for new pk

* Thu Nov 15 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 318047
- new version 3.6.1

* Wed Sep 26 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 297834
- there is no patch0
+ ovitters <ovitters>
- drop merged patch
- new version 3.6.0

* Thu Aug 30 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285804
- fix desktop file fix
- update file list
- update file list
+ ovitters <ovitters>
- new version 3.5.90

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271330
- new version 3.5.4
- update buildrequires
- new version 3.5.3

* Mon Jun 11 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 259805
- enable systemd

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235657
- new version 3.4.2

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226720
- new version 3.4.0

* Sun Mar 18 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 223822
- new version 3.3.92

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205351
- new version 3.3.5

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184491
- new version 3.3.3

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155717
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148813
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145726
- new version 3.1.92

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136729
- fix desktop files
- new version 3.1.90

* Mon Jul 18 2011 ahmad <ahmad> 3.1.3-1.mga2
+ Revision: 125868
- Update to 3.1.3
- Change the BR to pkgconfig style
- Drop BR gnome-menus-devel, not needed any more

* Thu Jul 14 2011 ahmad <ahmad> 3.0.3-2.mga2
+ Revision: 124064
- Move %%{_datadir}/gnome-packagekit/gpk-log.ui to -common, otherwise
  gpk-dbus-service segfaults when searching for a command (e.g. when file-roller
  tries to open a .rar file and packagekit tries to install unrar).

* Tue Jul 05 2011 fwang <fwang> 3.0.3-1.mga2
+ Revision: 118592
- update file list
- add back gconf
- update file list
- new version 3.0.3

* Mon Feb 28 2011 eandry <eandry> 2.32.0-3.mga1
+ Revision: 61721
- BR libcanberra-gtk
- drop buildroot
- drop old conflicts/obsoletes/provides
- imported package gnome-packagekit


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 2.32.0-2mdv2011.0
+ Revision: 592023
- Rebuild

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581672
- new version

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579018
- update to new version 2.31.92

* Wed Sep 01 2010 Emmanuel Andry <eandry@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 575143
- New version 2.31.91

* Fri Aug 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.31.6-2mdv2011.0
+ Revision: 573477
- remove application/x-deb from .desktop file, it can't be installed on Mandriva
  (mdv#60814)

* Tue Aug 17 2010 Emmanuel Andry <eandry@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 570976
- New version 2.31.6

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.30.3-3mdv2011.0
+ Revision: 564270
- rebuild for perl 5.12.1

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 561867
- new version 2.30.3

* Fri May 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 545647
- Disable font install feature by default

* Tue Apr 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539810
- new version 2.30.1

* Thu Apr 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 532876
- New release 2.30.0

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 526160
- finally update BR
- New version 2.29.91

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 499459
- Bump pk BR
- New version 2.29.3

* Wed Jan 13 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-2mdv2010.1
+ Revision: 490568
- Provides packagekit-gui
- Conflicts with kpackagekit (both are providing GUI dbus service)

* Fri Jan 08 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-1mdv2010.1
+ Revision: 487546
- Release 2.29.2
- split packages in three packages :
 - common for installer D-Bus service
 - main package for main UI
 - extras for non-essential UI

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475547
- new version 2.29.1

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 475353
- new version 2.28.2

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458772
- Release 2.28.1

* Tue Sep 22 2009 Funda Wang <fwang@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447118
- New version 2.28.0

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 412909
- new version 2.27.5

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 394940
- New version 2.27.3

* Fri Jun 05 2009 Funda Wang <fwang@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 382939
- update BR
- add BR
- New version 2.27.2

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 370465
- New version 2.27.1

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2009.1
+ Revision: 355229
- update to new version 0.4.5

* Thu Mar 05 2009 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2009.1
+ Revision: 349004
- bump BR
- New version 0.4.4

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-2mdv2009.1
+ Revision: 336786
- BR unique

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 336784
- New version 0.4.3

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 332699
- new version 0.4.2
- New version 0.4.1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 320276
- rebuild for new python

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 313900
- BR gnome-menu
- New version 0.4.0

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.3.11-1mdv2009.1
+ Revision: 307355
- New version 0.3.11

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 0.3.10-1mdv2009.1
+ Revision: 302402
- New version 0.3.10

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 297551
- New version 0.3.9

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 296134
- New version 0.3.8

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 294093
- New version 0.3.7

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 292864
- New version 0.3.6

* Wed Oct 01 2008 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 290433
- add dtd package
- add preun script
- BR docbook-utils
- New version 0.3.5

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 286284
- New version 0.3.3

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 283420
- New version 0.3.2

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 277771
- New versio 0.3.1

* Thu Aug 07 2008 Funda Wang <fwang@mandriva.org> 0.2.4-2mdv2009.0
+ Revision: 265670
- rebuild for new packagekit

* Wed Aug 06 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 264773
- New version 0.2.4

* Tue Jul 15 2008 Funda Wang <fwang@mandriva.org> 0.2.3-2mdv2009.0
+ Revision: 235756
- fix desktop icon name

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 234323
- BR glade
- add BR
- import gnome-packagekit


